### Method

# Ide Object get_children_typed

#### Declaration

    GPtrArray*
    ide_object_get_children_typed (
      IdeObject* self,
      GType type
    )

#### Description

Gets all children matching `type`.

Available since: | 3.32

#### Parameters

`type` | `GType`
| A `GType`.

#### Return value

Returns: | An array of `None`
| A `GPtrArray` of `IdeObject` matching `type`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.